<!-- Thông báo lỗi -->
<?php MyHelper::loadView('backend/cms_partials/error_message_view') ?>
<div class="row">
    <div class="col-lg-3">
        <input class="form-control" type="text" name="input-name" id="input-name"
            placeholder="Nhập tiêu đề mã nhúng..." />
    </div>
    <div class="col-lg-1">
        <button class="btn btn-sm btn-default" id="delete-filter">Xóa bộ lọc</button>
    </div>
    <div class="col-lg-1" style="float:right;">
        <a class="btn btn-sm btn-success" href="<?php echo base_url('backend/cmsVheartbeatlive/addVheartbeatlive');?>">
            <i class="glyphicon-plus"></i> Thêm</a>
    </div>
</div>
<!-- /.row -->
<div class="space-6"></div>
<div class="row">
    <div style="text-align: center" id="data-loading">
        <i class="fa fa-refresh fa-spin bigger-200"></i> Đang tải dữ liệu...
    </div>
    <div class="col-lg-12">
        <div id="div-response"></div>
    </div>

</div>

<script type="text/javascript">
//Thuc hien viec ve bieu do$data
$(document).ready(function() {
    var url = '<?php echo base_url("backend/cmsVheartbeatlive/listVheartbeatliveAjax"); ?>';

    // Tìm kiếm theo cú pháp
    var oldTimeout2 = '';
    $('#input-name').keyup(function() {
        clearTimeout(oldTimeout2);
        oldTimeout2 = setTimeout(function() {
            loadDataByAjaxFromInput(url);
        }, 250);
    });
    // Xóa bộ lọc
    $('#delete-filter').click(function() {
        $("#input-name").val('');
        changePagination('0');
        return false;

    });
    changePagination('0');

});
//Ham chung cho cac input
function loadDataByAjaxFromInput(url) {
    $('#data-loading').show();
    var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
    var fByName = $("#input-name").val();
    //Ajax ve bieu do
    $.ajax({
        type: "POST",
        url: url,
        data: {
            csrf_name: csrf_value,
            fByName: fByName
        },
        dataType: "text",
        cache: false,
        success: function(data) {
            $('#div-response').html(data);
            $('#data-loading').hide();
        }
    });
}
//Ham chung cho cac SelectBox
function loadDataByAjaxFromSelectBox(id, url) {
    $('#' + id).change(function() {
        $('#data-loading').show();
        var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
        var fByName = $("#input-name").val();
        //Ajax ve bieu do
        $.ajax({
            type: "POST",
            url: url,
            data: {
                csrf_name: csrf_value,
                fByName: fByName
            },
            dataType: "text",
            cache: false,
            success: function(data) {
                $('#div-response').html(data);
                $('#data-loading').hide();
            }
        });
    });
}

function loadDataByAjaxDateRange(dtFrom, dtTo, url) {
    $('#data-loading').show();
    var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
    var fByName = $("#input-name").val();
    // ajax
    $.ajax({
        type: "POST",
        url: url,
        data: {
            csrf_name: csrf_value,
            fByName: fByName
        },
        dataType: "text",
        cache: false,
        success: function(data) {
            $('#div-response').html(data);
            $('#data-loading').hide();
        }
    });
}

function changePagination(pageId) {
    $('#data-loading').show();
    var csrf_value = '<?php echo $this->security->get_csrf_hash(); ?>';
    var url = '<?php echo base_url()."backend/cmsVheartbeatlive/listVheartbeatliveAjax"; ?>';
    var fByName = $("#input-name").val();
    //Ajax ve bieu do\
    $.ajax({
        type: "POST",
        url: url,
        data: {
            csrf_name: csrf_value,
            fByName: fByName,
            pageId: pageId
        },
        dataType: "text",
        cache: false,
        success: function(data) {
            $('#div-response').html(data);
            $('#data-loading').hide();
        }
    });
}
</script>